package java.lang;

import java.io.Serializable;

public final class Boolean implements Serializable {
   public static final Boolean TRUE = new Boolean(true);
   public static final Boolean FALSE = new Boolean(false);
   public static final Class TYPE = Class.getPrimitiveClass("boolean");
   private boolean value;
   private static final long serialVersionUID = -3665804199014368530L;

   public Boolean(boolean var1) {
      this.value = var1;
   }

   public Boolean(String var1) {
      this(toBoolean(var1));
   }

   public boolean booleanValue() {
      return this.value;
   }

   public static Boolean valueOf(String var0) {
      return toBoolean(var0) ? TRUE : FALSE;
   }

   public String toString() {
      return this.value ? "true" : "false";
   }

   public int hashCode() {
      return this.value ? 1231 : 1237;
   }

   public boolean equals(Object var1) {
      if (var1 instanceof Boolean) {
         return this.value == (Boolean)var1;
      } else {
         return false;
      }
   }

   public static boolean getBoolean(String var0) {
      boolean var1 = false;

      try {
         var1 = toBoolean(System.getProperty(var0));
      } catch (IllegalArgumentException var4) {
      } catch (NullPointerException var5) {
      }

      return var1;
   }

   private static boolean toBoolean(String var0) {
      return var0 != null && var0.equalsIgnoreCase("true");
   }
}
