package java.lang;

public final class Byte extends Number implements Comparable {
   public static final byte MIN_VALUE = -128;
   public static final byte MAX_VALUE = 127;
   public static final Class TYPE = Class.getPrimitiveClass("byte");
   private byte value;
   private static final long serialVersionUID = -7183698231559129828L;

   public static String toString(byte var0) {
      return Integer.toString(var0, 10);
   }

   public static byte parseByte(String var0) throws NumberFormatException {
      return parseByte(var0, 10);
   }

   public static byte parseByte(String var0, int var1) throws NumberFormatException {
      int var2 = Integer.parseInt(var0, var1);
      if (var2 >= -128 && var2 <= 127) {
         return (byte)var2;
      } else {
         throw new NumberFormatException();
      }
   }

   public static Byte valueOf(String var0, int var1) throws NumberFormatException {
      return new Byte(parseByte(var0, var1));
   }

   public static Byte valueOf(String var0) throws NumberFormatException {
      return valueOf(var0, 10);
   }

   public static Byte decode(String var0) throws NumberFormatException {
      byte var1 = 10;
      int var2 = 0;
      boolean var3 = false;
      if (var0.startsWith("-")) {
         var3 = true;
         ++var2;
      }

      if (!var0.startsWith("0x", var2) && !var0.startsWith("0X", var2)) {
         if (var0.startsWith("#", var2)) {
            ++var2;
            var1 = 16;
         } else if (var0.startsWith("0", var2) && var0.length() > 1 + var2) {
            ++var2;
            var1 = 8;
         }
      } else {
         var2 += 2;
         var1 = 16;
      }

      if (var0.startsWith("-", var2)) {
         throw new NumberFormatException("Negative sign in wrong position");
      } else {
         Byte var4;
         try {
            var4 = valueOf(var0.substring(var2), var1);
            var4 = var3 ? new Byte((byte)(-var4)) : var4;
         } catch (NumberFormatException var7) {
            String var6 = var3 ? new String("-" + var0.substring(var2)) : var0.substring(var2);
            var4 = valueOf(var6, var1);
         }

         return var4;
      }
   }

   public Byte(byte var1) {
      this.value = var1;
   }

   public Byte(String var1) throws NumberFormatException {
      this.value = parseByte(var1);
   }

   public byte byteValue() {
      return this.value;
   }

   public short shortValue() {
      return (short)this.value;
   }

   public int intValue() {
      return this.value;
   }

   public long longValue() {
      return (long)this.value;
   }

   public float floatValue() {
      return (float)this.value;
   }

   public double doubleValue() {
      return (double)this.value;
   }

   public String toString() {
      return String.valueOf(this.value);
   }

   public int hashCode() {
      return this.value;
   }

   public boolean equals(Object var1) {
      if (var1 instanceof Byte) {
         return this.value == (Byte)var1;
      } else {
         return false;
      }
   }

   public int compareTo(Byte var1) {
      return this.value - var1.value;
   }

   public int compareTo(Object var1) {
      return this.compareTo((Byte)var1);
   }
}
