package java.lang;

import java.io.Serializable;

public final class Character implements Serializable, Comparable {
   public static final int MIN_RADIX = 2;
   public static final int MAX_RADIX = 36;
   public static final char MIN_VALUE = '\u0000';
   public static final char MAX_VALUE = '\uffff';
   public static final Class TYPE = Class.getPrimitiveClass("char");
   public static final byte UNASSIGNED = 0;
   public static final byte UPPERCASE_LETTER = 1;
   public static final byte LOWERCASE_LETTER = 2;
   public static final byte TITLECASE_LETTER = 3;
   public static final byte MODIFIER_LETTER = 4;
   public static final byte OTHER_LETTER = 5;
   public static final byte NON_SPACING_MARK = 6;
   public static final byte ENCLOSING_MARK = 7;
   public static final byte COMBINING_SPACING_MARK = 8;
   public static final byte DECIMAL_DIGIT_NUMBER = 9;
   public static final byte LETTER_NUMBER = 10;
   public static final byte OTHER_NUMBER = 11;
   public static final byte SPACE_SEPARATOR = 12;
   public static final byte LINE_SEPARATOR = 13;
   public static final byte PARAGRAPH_SEPARATOR = 14;
   public static final byte CONTROL = 15;
   public static final byte FORMAT = 16;
   public static final byte PRIVATE_USE = 18;
   public static final byte SURROGATE = 19;
   public static final byte DASH_PUNCTUATION = 20;
   public static final byte START_PUNCTUATION = 21;
   public static final byte END_PUNCTUATION = 22;
   public static final byte CONNECTOR_PUNCTUATION = 23;
   public static final byte OTHER_PUNCTUATION = 24;
   public static final byte MATH_SYMBOL = 25;
   public static final byte CURRENCY_SYMBOL = 26;
   public static final byte MODIFIER_SYMBOL = 27;
   public static final byte OTHER_SYMBOL = 28;
   private char value;
   private static final long serialVersionUID = 3786198910865385080L;
   // $FF: renamed from: X byte[]
   private static final byte[] field_0 = new byte[1024];
   private static final String X_DATA = "Ā̂Ԅ܆ईଊഌ༎ᄐጒᔔ\u1716ᤘᬚᰜᰜᰜᰜḝ‟∡␣☥⠧⨩Ⱛ⸭ᰜ〯㈱㐳ᰵᰜ㜶㤸㬺ᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜ㰼㸽䀿䉁䑃䙅䡇䩉䱋乍偏ᰜ剑呓啕坖坘ᰜ婙ᱛᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜ嵜彞㡠ᱡ换敤杦桦ᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜ㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸ᱩᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜ㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸ᱪ歫歫歫歫歫歫歫歫歫歫歫歫歫歫歫歫汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬㠸㠸ᱭᰜ潮煰牲牲瑳癵硷祲筺絼";
   // $FF: renamed from: Y short[]
   private static final short[] field_1 = new short[4032];
   private static final String Y_DATA = "\u0000\u0000\u0000\u0000\u0002\u0004\u0004\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0004\u0004\u0006\b\n\f\u000e\u0010\u0012\u0014\u0016\u0016\u0016\u0016\u0016\u0018\u001a\u001c\u001e            \"$&(************,.0\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u000024468:<>@BDFHJLNPPPPPPPPPPPRPPPTVVVVVVVVVVVXVVVZ\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\^\\\\\\`bbbbbbbd\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\fbbhj\\\\lnpdrtnvx\\z|~\\\\\\\u0080\u0082\u0084\\\u0086\u0088\u008ab\u008c\\\u008e\\\u0090\u0090\u0090\u0092\u0094\u0096\u0092\u0098bbbbbbb\u009a\\\\\\\\\\\\\\\\\\\u009c\u0096\\\u009e\u009e\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009ez ¢¤¦¨zzª¬zz®zz°z²´zzzzzz¶zz¸ºzzz¼zzzzzzzzzz¾\u009e\u009e\u009eÀÀÀÀÂÄÀÀÀÆÆÆÆÆÆÆÀÆÆÆÆÆÆÈÀÀÂÆÆ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eÊ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eÌ\u009e\u009eÎ\u009eÐ\u009e\u009eÆÒÔÖØÚÜPPPPPPPPÞPPPPàâäVVVVVVVVæVVVVèêìîðò\u009eôôôô\\\\\\\\\\\\\\ö\u008e\u009e\u009e\u009e\u009e\u009e\u009eøúúúúúüúPPPPPPPPPPPPPPPPVVVVVVVVVVVVVVVVþĀĀĀĀĀĂĀ\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\ĄÊĆ\u009e\u009e\u009e\u009e\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\ĈbĊČĊČĊ\u009e\\\\\\\\\\\\\\\\\\\\\\\\\\\\\u009e\\\\\\\\\u009e\\\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eĎĐĐĐĐĐĐĐĐĐĐĐĐĐĐĐĐĐĐĒĔÌÌÌĖĘĘĘĘĘĘĘĘĘĘĘĘĘĘĘĘĘĘĚĜ\u009e\u009e\u009eĞĠĠĠĠĠĠĠĠĞĠĠĠĠĠĠĠĠĠĠĠĞĠĢĢĤĦ\u009e\u009e\u009e\u009e\u009eĨĨĨĨĨĨĨĨĨĨĨĨĨĪ\u009e\u009eĨĬĮ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eĮ\u009e\u009e\u009e\u009e\u009e\u009eİ\u009eİĲĨĨĨĨĨĨĨĨĨĨĨĨĪ\u009e\u009eĴĨĨĨĨĶĠĠĠĦ\u009e\u009e\u009e\u009e\u009e\u009eĸĸĸĸĸĺļ\u009eľĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨ\u009eĨĨĪĨĨĨĨĨĨĨĪĨĨŀĠĠĠłńĠĠņňŊĠĠ\u009e\u0016\u0016\u0016\u0016\u0016\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eŌŎŐ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u009eŒŔŖÊÊÊŎŔŖ\u009eĄÊĆ\u009e\u0090\u0090\u0090\u0090\u0090ÊÌŘŘŘŘŘÐ\u009e\u009e\u009e\u009e\u009e\u009e\u009eŌŔŐ\u0090\u0090\u0090ŚŐŚŐ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u0090\u0090\u0090ŚŚ\u009e\u0090\u0090\u009eĆŔŖÊĆŜŞŜŖ\u009e\u009e\u009e\u009eŜ\u009e\u009e\u0090Ő\u0090Ê\u009eŘŘŘŘŘ\u0090ŠŢŢŤŦ\u009e\u009e\u009eĆŐ\u0090\u0090Ś\u009eŐŚŐ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u0090\u0090\u0090Ś\u0090ŐŚ\u0090\u009eĆŔŖĆ\u009eŌĆŌÊ\u009e\u009e\u009e\u009e\u009eŐ\u0090ŚŚ\u009e\u009e\u009eŘŘŘŘŘÊ\u0090Ś\u009e\u009e\u009e\u009e\u009eŌŎŐ\u0090\u0090\u0090ŐŐ\u0090Ő\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u0090\u0090\u0090Ś\u0090Ő\u0090\u0090\u009eŒŔŖÊÊŌŎŜŖ\u009eŦ\u009e\u009e\u009e\u009e\u009e\u009e\u009eŚ\u009e\u009eŘŘŘŘŘ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eŌŔŐ\u0090\u0090\u0090ŚŐŚŐ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u0090\u0090\u0090Ś\u0090\u009e\u0090\u0090\u009eŒŖŖÊ\u009eŜŞŜŖ\u009e\u009e\u009e\u009eŎ\u009e\u009e\u0090Ő\u0090\u009e\u009eŘŘŘŘŘŦ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eŎŐ\u0090\u0090Ś\u009e\u0090Ś\u0090\u0090\u009eŐŚŚ\u0090\u009eŐŚ\u009e\u0090Ś\u009e\u0090\u0090\u0090\u0090Ő\u0090\u009e\u009eŔŎŞ\u009eŔŞŔŖ\u009e\u009e\u009e\u009eŜ\u009e\u009e\u009e\u009e\u009e\u009e\u009eŨŘŘŘŘŪŬ\u009e\u009e\u009e\u009e\u009e\u009eŜŔŐ\u0090\u0090\u0090Ś\u0090Ś\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u0090\u0090\u0090\u0090\u0090Ő\u0090\u0090\u009e\u009eÊŎŔŞÊĆÊÊ\u009e\u009e\u009eŌĆ\u009e\u009e\u009e\u009e\u0090\u009e\u009eŘŘŘŘŘ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eŔŐ\u0090\u0090\u0090Ś\u0090Ś\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u0090\u0090\u0090\u0090\u0090Ő\u0090\u0090\u009e\u009eŖŔŔŞŎŞŔÊ\u009e\u009e\u009eŜŞ\u009e\u009e\u009eŚ\u0090\u009e\u009eŘŘŘŘŘ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eŔŐ\u0090\u0090\u0090Ś\u0090Ś\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u009e\u009eŔŖÊ\u009eŔŞŔŖ\u009e\u009e\u009e\u009eŜ\u009e\u009e\u009e\u009e\u0090\u009e\u009eŘŘŘŘŘ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eŐ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090ŮŰ\u0090ÊÊÊĆ\u009eŲ\u0090\u0090\u0090ŴÊÊÊŶŸŸŸŸŸÌ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eŐŚŚŐŚŚŐ\u009e\u009e\u009e\u0090\u0090Ő\u0090\u0090\u0090Ő\u0090ŐŐ\u009e\u0090ŐŮŰ\u0090ÊÊÊŌŒ\u009e\u0090\u0090ŚÎÊÊÊ\u009eŸŸŸŸŸ\u009e\u0090\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eźźÌÌÌÌÌÌÌżźźÊźźźžžžžžƀƀƀƀƀĄĄĄƂƂŔ\u0090\u0090\u0090\u0090Ő\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u009e\u009e\u009eŌÊÊÊÊÊÊŎÊÊƄÊÊÊ\u009e\u009eÊÊÊŌŌÊÊÊÊÊÊÊÊÊÊ\u009eŌÊÊÊŌ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eĐĐĐĐĐĐĐĐĐĐĐĐĐĐĐĐĐĐĐ\u009e\u009e\u009e\u009e\u009ezzzzzzzzzzzzzzzzzzz¾\u009eĜ\u009e\u009e\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u009e\u009eŐ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u009e\u009e\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u009e\u009e\u009e\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\zzƆ\u009e\u009e\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\u009e\u009e\u009eƈƈƈƈƊƊƊƊƈƈƈ\u009eƊƊƊ\u009eƈƈƈƈƊƊƊƊƈƈƈƈƊƊƊƊƈƈƈ\u009eƊƊƊ\u009eƌƌƌƌƎƎƎƎƈƈƈƈƊƊƊƊƐƒƒƔƖƘƚ\u009eƈƈƈƈƊƊƊƊƈƈƈƈƊƊƊƊƈƈƈƈƊƊƊƊƈƜ¾zƊƞƠƢÆƜ¾zƤƤƠÆƈz\u009ezƊƦƨÆƈzƪzƊƬƮÆ\u009eƜ¾zưƲƠÈƴƴƴƶƴƴƸƺƼƼƼ\fƾǀƾǀ\f\f\f\fǂƸƸǄǆǆǈ\fǊǌ\fǎǐ\fǒǔ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eƸƸƸǖ\u009eBBBǘǒǚǜǜǜǜǜǘǒǔ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e444444Ǟ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eÊÊÊÊÊÊǠǢǤ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e6Ǧ6Ǩ6ǪǬǮǬǰǨ6ǬǬǬ666ǦǦǦǬǬǮǬǨǲǴǶ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eǸLLLLLǺǼǼǼǼǼǼǾǾȀȀȀȀȀȀȂȂȄȆ\u009e\u009e\u009e\u009e\u009e\u009eȈȈȊ666666666666666666666666666666ȊȊ6666666666Ȍ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eȎȐ\u001aȈȐȐȐȈȎǘȎ\u001aȈȐȐȎȐ\u001a\u001a\u001aȈȎȐȐȐȐȈȈȎȎȐȐȐȐȐȐȐȐ\u001aȈȈȐȐȈȈȈȈȎ\u001a\u001aȐȐȐȐȈȐȐȐȐȐȐȐȐȐȐȐȐȐȐȐ\u001aȎȐ\u001aȈȈ\u001aȈȈȈȈȐȈȐȐȐȐȐȐȐȐȐ\u001aȈȈȐȈȈȈȈȎȐȐȈȐȈȈȐȐȐȐȐȐȐȐȐȐȐȐȈȐ\u009e\u009e\u009e\u009e\u009e\u009e\u009eȌ666ȐȐ6666666666Ȑ666ȒȔ66666źźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźŦ\u009e\u009e666666666666666666Ȍ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e66666Ȍ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eȖȖȖȖȖȖȖȖȖȖȘȘȘȘȘȘȘȘȘȘȚȚȚȚȚȚȚȚȚȚ6666666666666ȜȜȜȜȜȜȜȜȜȜȜȜȜȞȞȞȞȞȞȞȞȞȞȞȞȞȠ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e6666666666666666666666666666666666666666666\u009e\u009e\u009e\u009e\u009e6666666666666666666666666666666666666666\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e6666666666\u009e\u009e\u009e6666666666666666666Ȣ6Ȍ66\u009e66666666666666Ȣ66666666666666666ȢȢ6Ȍ\u009eȌ666ȌȢ666\u009e\u009e\u009e\u009e\u009e\u009e\u009eȤȤȤȤȤȖȖȖȖȖȦȦȦȦȦȌ\u009e666666666666Ȣ666666Ȍ\u0006\fȨȪ\u000e\u000e\u000e\u000e\u000e6\u000e\u000e\u000e\u000eȬȮȰȲȲȲȲÊÊÊȴȶȶ6\u009e\u009e\u009eȢŐ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u009eŌȸÀÎŐ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090ŮÀÎ\u009e\u009eŐ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u009eŐ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Śźƀƀźźźźź\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eźźźźźźźźźźźźźźŦ\u009eƀƀƀƀƀźźźźźźźźźźźźź\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eźźźźźźźźźźźźźź\u009eȺȼȼȼȼȼźźźźźźźźźźźźźźźźźźźŦ\u009e\u009e\u009e\u009e\u009e\u009e\u009eźźźźźź\u009e\u009eźźźźźźźźźźźźźźźźźźźźźźźŦźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźŦ\u009eȺźźźźźźźźźźźźźźźźź\u009eźźźźźźźźźźźźźźźŦ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009ezzz¾\u009e\u009e\u009e\u009e\u009eɂzz\u009e\u009e\u009eľĨĨĨĨɄĨĨĨĨĨĨĪĨĨĪĪĨĲĪĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eĲĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨƾ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨ\u009eĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eĨĨĨĨĨĨ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eɆɆ\u009e\u009e\u009e\u009e\u009e\u009eɈɊɌɎɎɎɎɎɎɎɐ\u009eɒ\fǎɔ\fɖ\f\fȬɎɎǌ\f<Ȉɘɚ\f\u009e\u009eĨĪĪĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĪɜɒ\fɞ\fƾɠɈ\f\u0016\u0016\u0016\u0016\u0016\fȈɢ\u001e            ɤɦ&(************ɨɪɘɒƾɬ\u0090\u0090\u0090\u0090\u0090ɮ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090À\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u009e\u0090\u0090\u0090\u009e\u0090\u0090\u0090\u009e\u0090\u0090\u0090\u009e\u0090Ś\u009eɰɲɴɶȈȈȊȌ\u009e\u009e\u009e\u009e\u009e\u009e6\u009e";
   // $FF: renamed from: A int[]
   private static final int[] field_2 = new int[632];
   private static final String A_DATA = "\u0001Ə\u0001Ə\u0001Ə\u0004į\u0004Ə\u0004Ə\u0004Ō\u0000Ƙ\u0000Ƙ\u0000¸\u0006º\u0000¸\u0000Ƙ\u0000Ƙ\u0000ŵ\u0000Ŷ\u0000Ƙ\u0000¹\u0000ø\u0000´\u0000ø\u0000\u0098\u0003恩\u0003恩\u0000ø\u0000Ƙ\u0000Ź\u0000ƙ\u0000Ź\u0000Ƙ\u0000Ƙࠧ︡ࠧ︡ࠧ︡ࠧ︡\u0000ŵ\u0000Ƙ\u0000Ŷ\u0000ƛ\u0005Ɨ\u0000ƛࠗ︢ࠗ︢ࠗ︢ࠗ︢\u0000ŵ\u0000ƙ\u0000Ŷ\u0000ƙ\u0001Ə\u0000Ō\u0000Ƙ\u0006º\u0006º\u0000Ɯ\u0000Ɯ\u0000ƛ\u0000Ɯ\u0007Ƃ\u0000ƕ\u0000ƙ\u0000Ɣ\u0000Ɯ\u0000ƛ\u0000¼\u0000¹\u0000恫\u0000恫\u0000ƛ\u0007Ƃ\u0000Ɯ\u0000Ƙ\u0000ƛ\u0000偫\u0007Ƃ\u0000Ɩ\u0000膋\u0000膋\u0000膋\u0000Ƙࠧ!ࠧ!ࠧ!\u0000ƙࠧ!\u0007\"ࠗ\"ࠗ\"ࠗ\"\u0000ƙࠗ\"\ue1d7\"g!W\"칧!㨗\"\u0007\"g!W\"g!W\"\u0007\"\ue1e7!g!W\"䬗\"\u0007\"㒧!㎧!g!W\"㍧!㍧!g!Ꮷ!㊧!㋧!g!㏧!\u0007\"㓧!㑧!\u0007\"\u0007\"㓧!㕧!\u0007\"㖧!\u0007!g!W\"㚧!\u0007%\u0007\"㚧!g!W\"㙧!㙧!g!W\"㛧!\u0007\"\u0007%\u0007%\u0007%¯!\u007f#\u009f\"¯!\u007f#\u009f\"\u009f\"g!W\"Ꮧ\"\u0007\"¯!\u0000\u0000\u0000\u0000\u0007\"㒗\"㎗\"\u0007\"㍗\"㍗\"\u0007\"㊗\"\u0007\"㋗\"㍗\"\u0007\"\u0007\"㏗\"㑗\"㓗\"\u0007\"㓗\"㕗\"\u0007\"\u0007\"쪧\"\u0007\"㚗\"㚗\"\u0007\"㙗\"㙗\"㛗\"\u0007\"\u0007\"\u0000\u0000\u0007$\u0007$\u0007$\u0000;\u0000;\u0007$\u0000;\u0000;\u0000;\u0000\u0000\u0003&\u0003&\u00008\u00008\u0007$\u0000\u0000\u00008\u0000\u0000ধ!\u00008१!१!१!\u0000\u0000ဧ!\u0000\u0000\u0fe7!\u0fe7!\u0007\"ࠧ!\u0000\u0000ࠧ!গ\"ॗ\"ॗ\"ॗ\"\u0007\"ࠗ\"ߗ\"ࠗ\"ဗ\"࿗\"࿗\"\u0000\u0000ྗ\"๗\"\u0007!\u0007!\u0007!ௗ\"\u0d97\"\u0000\u0000\u0007!\u0000\u0000ᖗ\"ᐗ\"\u0000\u0000ᐧ!ᐧ!ᐧ!ᐧ!\u0000\u0000\u0000\u0000ᐗ\"ᐗ\"ᐗ\"ᐗ\"\u0000\u0000\u0000<\u0003&\u0003&\u0000\u0000\u0007%g!W\"\u0000\u0000\u0000\u0000g!\u0000\u0000ధ!ధ!ధ!ధ!\u0000\u0000\u0000\u0000\u0007$\u0000\u0000గ\"గ\"గ\"గ\"\u0007\"\u0000\u0000\u00008\u0000\u0000\u0003F\u0003F\u0003F\u0000X\u0003F\u0003F\u0000X\u0003F\u0000\u0000\u0007E\u0007E\u0007E\u0000\u0000\u0007E\u0000X\u0000X\u0000\u0000\u0000\u0000\u0000X\u0000\u0000\u0007E\u0007D\u0007E\u0007E\u0003F\u0003䃉\u0003䃉\u0000¸\u0000Ø\u0000Ø\u0000X\u0003F\u0007E\u0000X\u0007E\u0003F\u0000G\u0000G\u0003F\u0003F\u0007D\u0007D\u0003F\u0003F\u0000\\\u0000\u0000\u0003&\u0003&\u0003(\u0000\u0000\u0007%\u0003&\u0007%\u0003(\u0003(\u0003(\u0003&\u0003琩\u0003琩\u0007%\u0000\u0000\u0000\u0000\u0003(\u0003(\u0000\u0000\u0006:\u0006:\u0000娫\u0000娫\u0000耫\u0000渫\u0000<\u0000\u0000\u0000\u0000\u0003琩\u0000琫\u0000耫\u0000耫\u0000\u0000\u0007%\u00008\u0007%\u0003&\u0000\u0000\u0006:\u0007$\u0003&\u0003&\u0000<\u0003怩\u0003怩\u0000<\u0000<\u00008\u0000<\u0003䀩\u0003䀩\u0000+\u0000+\u00005\u00006\u0003&\u00008\u0007\"໗\"︗\"︗\"︧!︧!\u0007\"︗\"\u0000\u0000︧!\ued97\"\ued97\"\uea97\"\uea97\"\ue717\"\ue717\"\ue017\"\ue017\"\ue417\"\ue417\"\ue097\"\ue097\"\u0007\"\ufdd7\"\ueda7!\ueda7!\ufde7!\u0000;\u0007!\u0000;\ueaa7!\ueaa7!\ue727!\ue727!\u0000\u0000\u0000;\u0007\"﹗\"\ue427!\ue427!\ufe67!\u0000;\ue027!\ue027!\ue0a7!\ue0a7!\u0004Ō\u0004Ō\u0004Ō\u0004ì\u0001Ɛ\u0001Ɛ\u00010\u0001P\u0000Ɣ\u0000Ɣ\u0000ƕ\u0000Ɩ\u0000ƕ\u0000ƕ\u0004č\u0004Ď\u0001Ɛ\u0000\u0000\u0000¸\u0000¸\u0000¸\u0000Ƙ\u0000Ƙ\u0000ƕ\u0000Ɩ\u0000Ƙ\u0000Ƙ\u0005Ɨ\u0005Ɨ\u0000Ƙ\u0000ƙ\u0000ŵ\u0000Ŷ\u0000\u0000\u0000恫\u0000\u0000\u0000¹\u0000¹\u0000Ŷ\u0007Ƃ\u0000䁫\u0000䁫\u0006º\u0000\u0000\u0003&\u0000'\u0000'\u0000'\u0000'\u0003&\u0007Ɓ\u0000Ɯ\u0000Ɯ\u0007Ɓ\u0007Ƃ\u0007Ɓ\u0007Ɓ\u0007Ɓ\u0007Ƃ\u0007Ƃ\u0007Ɓ\u0007Ƃ\u0007Ƃ\u0007ƅ\u0007ƅ\u0007ƅ\u0007ƅ\u0000\u0000\u0000\u0000\u0000膋\u0000膋\u0000䖋Ч䈪Ч䈪Ч耪Ч耪З截З截З耪З耪\u0007耪\u0007耪\u0007耪\u0000\u0000\u0000ƙ\u0000ƙ\u0000ƙ\u0000Ɯ\u0000Ɯ\u0000\u0000\u0000ƙ\u0000Ź\u0000Ź\u0000Ź\u0000Ɯ\u0000ŵ\u0000Ŷ\u0000Ɯ\u0000䎋\u0000䎋\u0000宋\u0000宋\u0000王\u0000王ڠƜڠƜڐƜڐƜ\u0000涋\u0000\u0000\u0000\u0000\u0000Ɯ\u0000型\u0000型\u0000澋\u0000澋\u0000Ɯ\u0007Ƅ\u0000Ƙ\u0007玊\u0000Ɣ\u0000ƕ\u0000Ɩ\u0000Ɩ\u0000Ɯ\u0007䀪\u0007䀪\u0007䀪\u0000Ɣ\u0007Ƅ\u0007Ƅ\u0007Ƅ\u0003&\u0007$\u0000\u0000\u0000<\u0000䈫\u0000䈫\u00003\u00003\u00002\u00002\u0000\u0000\u0007\"\u0007E\u0000Y\u0003Ɔ\u0003Ɔ\u0000Ƙ\u0000Ɣ\u0000Ɣ\u0005Ɨ\u0005Ɨ\u0000ƕ\u0000Ɩ\u0000ƕ\u0000Ɩ\u0000\u0000\u0000\u0000\u0000Ƙ\u0005Ɨ\u0005Ɨ\u0000Ƙ\u0000\u0000\u0000ƙ\u0000\u0000\u0000Ƙ\u0006ƚ\u0000\u0000\u0001Ɛ\u0006ƚ\u0000Ƙ\u0000Ƙ\u0000ƙ\u0000ƙ\u0000Ƙࠧ︡\u0000ƕ\u0000Ƙ\u0000Ɩࠗ︢\u0000ƕ\u0000ƙ\u0000Ɩ\u0000Ƙ\u00008\u0007$\u0007%\u0006ƚ\u0006ƚ\u0000ƙ\u0000ƛ\u0000Ɯ\u0006ƚ\u0006ƚ\u0000\u0000";

   public Character(char var1) {
      this.value = var1;
   }

   public char charValue() {
      return this.value;
   }

   public int hashCode() {
      return this.value;
   }

   public boolean equals(Object var1) {
      if (var1 instanceof Character) {
         return this.value == (Character)var1;
      } else {
         return false;
      }
   }

   public String toString() {
      char[] var1 = new char[]{this.value};
      return String.valueOf(var1);
   }

   public static boolean isLowerCase(char var0) {
      return (field_2[field_1[field_0[var0 >> 6] << 5 | var0 >> 1 & 31] | var0 & 1] & 31) == 2;
   }

   public static boolean isUpperCase(char var0) {
      return (field_2[field_1[field_0[var0 >> 6] << 5 | var0 >> 1 & 31] | var0 & 1] & 31) == 1;
   }

   public static boolean isTitleCase(char var0) {
      return (field_2[field_1[field_0[var0 >> 6] << 5 | var0 >> 1 & 31] | var0 & 1] & 31) == 3;
   }

   public static boolean isDigit(char var0) {
      return (field_2[field_1[field_0[var0 >> 6] << 5 | var0 >> 1 & 31] | var0 & 1] & 31) == 9;
   }

   public static boolean isDefined(char var0) {
      return (field_2[field_1[field_0[var0 >> 6] << 5 | var0 >> 1 & 31] | var0 & 1] & 31) != 0;
   }

   public static boolean isLetter(char var0) {
      return (62 >> (field_2[field_1[field_0[var0 >> 6] << 5 | var0 >> 1 & 31] | var0 & 1] & 31) & 1) != 0;
   }

   public static boolean isLetterOrDigit(char var0) {
      return (574 >> (field_2[field_1[field_0[var0 >> 6] << 5 | var0 >> 1 & 31] | var0 & 1] & 31) & 1) != 0;
   }

   public static boolean isJavaLetter(char var0) {
      return (field_2[field_1[field_0[var0 >> 6] << 5 | var0 >> 1 & 31] | var0 & 1] & 458752) >= 327680;
   }

   public static boolean isJavaLetterOrDigit(char var0) {
      return (field_2[field_1[field_0[var0 >> 6] << 5 | var0 >> 1 & 31] | var0 & 1] & 196608) != 0;
   }

   public static boolean isJavaIdentifierStart(char var0) {
      return (field_2[field_1[field_0[var0 >> 6] << 5 | var0 >> 1 & 31] | var0 & 1] & 458752) >= 327680;
   }

   public static boolean isJavaIdentifierPart(char var0) {
      return (field_2[field_1[field_0[var0 >> 6] << 5 | var0 >> 1 & 31] | var0 & 1] & 196608) != 0;
   }

   public static boolean isUnicodeIdentifierStart(char var0) {
      return (field_2[field_1[field_0[var0 >> 6] << 5 | var0 >> 1 & 31] | var0 & 1] & 458752) == 458752;
   }

   public static boolean isUnicodeIdentifierPart(char var0) {
      return (field_2[field_1[field_0[var0 >> 6] << 5 | var0 >> 1 & 31] | var0 & 1] & 65536) != 0;
   }

   public static boolean isIdentifierIgnorable(char var0) {
      return (field_2[field_1[field_0[var0 >> 6] << 5 | var0 >> 1 & 31] | var0 & 1] & 458752) == 65536;
   }

   public static char toLowerCase(char var0) {
      int var1 = field_2[field_1[field_0[var0 >> 6] << 5 | var0 >> 1 & 31] | var0 & 1];
      return (var1 & 2097152) != 0 ? (char)(var0 + (var1 >> 22)) : var0;
   }

   public static char toUpperCase(char var0) {
      int var1 = field_2[field_1[field_0[var0 >> 6] << 5 | var0 >> 1 & 31] | var0 & 1];
      return (var1 & 1048576) != 0 ? (char)(var0 - (var1 >> 22)) : var0;
   }

   public static char toTitleCase(char var0) {
      int var1 = field_2[field_1[field_0[var0 >> 6] << 5 | var0 >> 1 & 31] | var0 & 1];
      if ((var1 & 524288) != 0) {
         if ((var1 & 1048576) == 0) {
            return (char)(var0 + 1);
         } else {
            return (var1 & 2097152) == 0 ? (char)(var0 - 1) : var0;
         }
      } else {
         return (var1 & 1048576) != 0 ? (char)(var0 - (var1 >> 22)) : var0;
      }
   }

   public static int digit(char var0, int var1) {
      int var2 = -1;
      if (var1 >= 2 && var1 <= 36) {
         int var3 = field_2[field_1[field_0[var0 >> 6] << 5 | var0 >> 1 & 31] | var0 & 1];
         int var4 = var3 & 31;
         if (var4 == 9) {
            var2 = var0 + (var3 >> 9) & 31;
         } else if ((var3 & '쀀') == 49152) {
            var2 = (var0 + (var3 >> 9) & 31) + 10;
         }
      }

      return var2 < var1 ? var2 : -1;
   }

   public static int getNumericValue(char var0) {
      int var1 = field_2[field_1[field_0[var0 >> 6] << 5 | var0 >> 1 & 31] | var0 & 1];
      switch (var1 >> 14 & 3) {
         case 0:
         default:
            return -1;
         case 1:
            return var0 + (var1 >> 9) & 31;
         case 2:
            switch (var0) {
               case '௱':
                  return 100;
               case '௲':
                  return 1000;
               case 'Ⅼ':
                  return 50;
               case 'Ⅽ':
                  return 100;
               case 'Ⅾ':
                  return 500;
               case 'Ⅿ':
                  return 1000;
               case 'ⅼ':
                  return 50;
               case 'ⅽ':
                  return 100;
               case 'ⅾ':
                  return 500;
               case 'ⅿ':
                  return 1000;
               case 'ↀ':
                  return 1000;
               case 'ↁ':
                  return 5000;
               case 'ↂ':
                  return 10000;
               default:
                  return -2;
            }
         case 3:
            return (var0 + (var1 >> 9) & 31) + 10;
      }
   }

   public static boolean isSpace(char var0) {
      return var0 <= ' ' && (4294981120L >> var0 & 1L) != 0L;
   }

   public static boolean isSpaceChar(char var0) {
      return (28672 >> (field_2[field_1[field_0[var0 >> 6] << 5 | var0 >> 1 & 31] | var0 & 1] & 31) & 1) != 0;
   }

   public static boolean isWhitespace(char var0) {
      return (field_2[field_1[field_0[var0 >> 6] << 5 | var0 >> 1 & 31] | var0 & 1] & 458752) == 262144;
   }

   public static boolean isISOControl(char var0) {
      return var0 <= 159 && (var0 <= 31 || var0 >= 127);
   }

   public static int getType(char var0) {
      return field_2[field_1[field_0[var0 >> 6] << 5 | var0 >> 1 & 31] | var0 & 1] & 31;
   }

   public static char forDigit(int var0, int var1) {
      if (var0 < var1 && var0 >= 0) {
         if (var1 >= 2 && var1 <= 36) {
            return var0 < 10 ? (char)(48 + var0) : (char)(87 + var0);
         } else {
            return '\u0000';
         }
      } else {
         return '\u0000';
      }
   }

   public int compareTo(Character var1) {
      return this.value - var1.value;
   }

   public int compareTo(Object var1) {
      return this.compareTo((Character)var1);
   }

   static {
      int var0 = "Ā̂Ԅ܆ईଊഌ༎ᄐጒᔔ\u1716ᤘᬚᰜᰜᰜᰜḝ‟∡␣☥⠧⨩Ⱛ⸭ᰜ〯㈱㐳ᰵᰜ㜶㤸㬺ᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜ㰼㸽䀿䉁䑃䙅䡇䩉䱋乍偏ᰜ剑呓啕坖坘ᰜ婙ᱛᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜ嵜彞㡠ᱡ换敤杦桦ᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜ㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸ᱩᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜ㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸ᱪ歫歫歫歫歫歫歫歫歫歫歫歫歫歫歫歫汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬㠸㠸ᱭᰜ潮煰牲牲瑳癵硷祲筺絼".length();
      int var1 = 0;

      for(int var2 = 0; var2 < var0; ++var2) {
         int var3 = "Ā̂Ԅ܆ईଊഌ༎ᄐጒᔔ\u1716ᤘᬚᰜᰜᰜᰜḝ‟∡␣☥⠧⨩Ⱛ⸭ᰜ〯㈱㐳ᰵᰜ㜶㤸㬺ᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜ㰼㸽䀿䉁䑃䙅䡇䩉䱋乍偏ᰜ剑呓啕坖坘ᰜ婙ᱛᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜ嵜彞㡠ᱡ换敤杦桦ᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜ㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸ᱩᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜᰜ㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸㠸ᱪ歫歫歫歫歫歫歫歫歫歫歫歫歫歫歫歫汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬汬㠸㠸ᱭᰜ潮煰牲牲瑳癵硷祲筺絼".charAt(var2);

         for(int var4 = 0; var4 < 2; ++var4) {
            field_0[var1++] = (byte)var3;
            var3 >>= 8;
         }
      }

      if (var1 != 1024) {
         throw new RuntimeException();
      } else if ("\u0000\u0000\u0000\u0000\u0002\u0004\u0004\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0004\u0004\u0006\b\n\f\u000e\u0010\u0012\u0014\u0016\u0016\u0016\u0016\u0016\u0018\u001a\u001c\u001e            \"$&(************,.0\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u000024468:<>@BDFHJLNPPPPPPPPPPPRPPPTVVVVVVVVVVVXVVVZ\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\^\\\\\\`bbbbbbbd\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\fbbhj\\\\lnpdrtnvx\\z|~\\\\\\\u0080\u0082\u0084\\\u0086\u0088\u008ab\u008c\\\u008e\\\u0090\u0090\u0090\u0092\u0094\u0096\u0092\u0098bbbbbbb\u009a\\\\\\\\\\\\\\\\\\\u009c\u0096\\\u009e\u009e\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009ez ¢¤¦¨zzª¬zz®zz°z²´zzzzzz¶zz¸ºzzz¼zzzzzzzzzz¾\u009e\u009e\u009eÀÀÀÀÂÄÀÀÀÆÆÆÆÆÆÆÀÆÆÆÆÆÆÈÀÀÂÆÆ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eÊ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eÌ\u009e\u009eÎ\u009eÐ\u009e\u009eÆÒÔÖØÚÜPPPPPPPPÞPPPPàâäVVVVVVVVæVVVVèêìîðò\u009eôôôô\\\\\\\\\\\\\\ö\u008e\u009e\u009e\u009e\u009e\u009e\u009eøúúúúúüúPPPPPPPPPPPPPPPPVVVVVVVVVVVVVVVVþĀĀĀĀĀĂĀ\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\ĄÊĆ\u009e\u009e\u009e\u009e\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\ĈbĊČĊČĊ\u009e\\\\\\\\\\\\\\\\\\\\\\\\\\\\\u009e\\\\\\\\\u009e\\\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eĎĐĐĐĐĐĐĐĐĐĐĐĐĐĐĐĐĐĐĒĔÌÌÌĖĘĘĘĘĘĘĘĘĘĘĘĘĘĘĘĘĘĘĚĜ\u009e\u009e\u009eĞĠĠĠĠĠĠĠĠĞĠĠĠĠĠĠĠĠĠĠĠĞĠĢĢĤĦ\u009e\u009e\u009e\u009e\u009eĨĨĨĨĨĨĨĨĨĨĨĨĨĪ\u009e\u009eĨĬĮ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eĮ\u009e\u009e\u009e\u009e\u009e\u009eİ\u009eİĲĨĨĨĨĨĨĨĨĨĨĨĨĪ\u009e\u009eĴĨĨĨĨĶĠĠĠĦ\u009e\u009e\u009e\u009e\u009e\u009eĸĸĸĸĸĺļ\u009eľĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨ\u009eĨĨĪĨĨĨĨĨĨĨĪĨĨŀĠĠĠłńĠĠņňŊĠĠ\u009e\u0016\u0016\u0016\u0016\u0016\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eŌŎŐ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u009eŒŔŖÊÊÊŎŔŖ\u009eĄÊĆ\u009e\u0090\u0090\u0090\u0090\u0090ÊÌŘŘŘŘŘÐ\u009e\u009e\u009e\u009e\u009e\u009e\u009eŌŔŐ\u0090\u0090\u0090ŚŐŚŐ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u0090\u0090\u0090ŚŚ\u009e\u0090\u0090\u009eĆŔŖÊĆŜŞŜŖ\u009e\u009e\u009e\u009eŜ\u009e\u009e\u0090Ő\u0090Ê\u009eŘŘŘŘŘ\u0090ŠŢŢŤŦ\u009e\u009e\u009eĆŐ\u0090\u0090Ś\u009eŐŚŐ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u0090\u0090\u0090Ś\u0090ŐŚ\u0090\u009eĆŔŖĆ\u009eŌĆŌÊ\u009e\u009e\u009e\u009e\u009eŐ\u0090ŚŚ\u009e\u009e\u009eŘŘŘŘŘÊ\u0090Ś\u009e\u009e\u009e\u009e\u009eŌŎŐ\u0090\u0090\u0090ŐŐ\u0090Ő\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u0090\u0090\u0090Ś\u0090Ő\u0090\u0090\u009eŒŔŖÊÊŌŎŜŖ\u009eŦ\u009e\u009e\u009e\u009e\u009e\u009e\u009eŚ\u009e\u009eŘŘŘŘŘ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eŌŔŐ\u0090\u0090\u0090ŚŐŚŐ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u0090\u0090\u0090Ś\u0090\u009e\u0090\u0090\u009eŒŖŖÊ\u009eŜŞŜŖ\u009e\u009e\u009e\u009eŎ\u009e\u009e\u0090Ő\u0090\u009e\u009eŘŘŘŘŘŦ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eŎŐ\u0090\u0090Ś\u009e\u0090Ś\u0090\u0090\u009eŐŚŚ\u0090\u009eŐŚ\u009e\u0090Ś\u009e\u0090\u0090\u0090\u0090Ő\u0090\u009e\u009eŔŎŞ\u009eŔŞŔŖ\u009e\u009e\u009e\u009eŜ\u009e\u009e\u009e\u009e\u009e\u009e\u009eŨŘŘŘŘŪŬ\u009e\u009e\u009e\u009e\u009e\u009eŜŔŐ\u0090\u0090\u0090Ś\u0090Ś\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u0090\u0090\u0090\u0090\u0090Ő\u0090\u0090\u009e\u009eÊŎŔŞÊĆÊÊ\u009e\u009e\u009eŌĆ\u009e\u009e\u009e\u009e\u0090\u009e\u009eŘŘŘŘŘ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eŔŐ\u0090\u0090\u0090Ś\u0090Ś\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u0090\u0090\u0090\u0090\u0090Ő\u0090\u0090\u009e\u009eŖŔŔŞŎŞŔÊ\u009e\u009e\u009eŜŞ\u009e\u009e\u009eŚ\u0090\u009e\u009eŘŘŘŘŘ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eŔŐ\u0090\u0090\u0090Ś\u0090Ś\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u009e\u009eŔŖÊ\u009eŔŞŔŖ\u009e\u009e\u009e\u009eŜ\u009e\u009e\u009e\u009e\u0090\u009e\u009eŘŘŘŘŘ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eŐ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090ŮŰ\u0090ÊÊÊĆ\u009eŲ\u0090\u0090\u0090ŴÊÊÊŶŸŸŸŸŸÌ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eŐŚŚŐŚŚŐ\u009e\u009e\u009e\u0090\u0090Ő\u0090\u0090\u0090Ő\u0090ŐŐ\u009e\u0090ŐŮŰ\u0090ÊÊÊŌŒ\u009e\u0090\u0090ŚÎÊÊÊ\u009eŸŸŸŸŸ\u009e\u0090\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eźźÌÌÌÌÌÌÌżźźÊźźźžžžžžƀƀƀƀƀĄĄĄƂƂŔ\u0090\u0090\u0090\u0090Ő\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u009e\u009e\u009eŌÊÊÊÊÊÊŎÊÊƄÊÊÊ\u009e\u009eÊÊÊŌŌÊÊÊÊÊÊÊÊÊÊ\u009eŌÊÊÊŌ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eĐĐĐĐĐĐĐĐĐĐĐĐĐĐĐĐĐĐĐ\u009e\u009e\u009e\u009e\u009ezzzzzzzzzzzzzzzzzzz¾\u009eĜ\u009e\u009e\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u009e\u009eŐ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u009e\u009e\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u009e\u009e\u009e\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\zzƆ\u009e\u009e\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\u009e\u009e\u009eƈƈƈƈƊƊƊƊƈƈƈ\u009eƊƊƊ\u009eƈƈƈƈƊƊƊƊƈƈƈƈƊƊƊƊƈƈƈ\u009eƊƊƊ\u009eƌƌƌƌƎƎƎƎƈƈƈƈƊƊƊƊƐƒƒƔƖƘƚ\u009eƈƈƈƈƊƊƊƊƈƈƈƈƊƊƊƊƈƈƈƈƊƊƊƊƈƜ¾zƊƞƠƢÆƜ¾zƤƤƠÆƈz\u009ezƊƦƨÆƈzƪzƊƬƮÆ\u009eƜ¾zưƲƠÈƴƴƴƶƴƴƸƺƼƼƼ\fƾǀƾǀ\f\f\f\fǂƸƸǄǆǆǈ\fǊǌ\fǎǐ\fǒǔ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eƸƸƸǖ\u009eBBBǘǒǚǜǜǜǜǜǘǒǔ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e444444Ǟ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eÊÊÊÊÊÊǠǢǤ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e6Ǧ6Ǩ6ǪǬǮǬǰǨ6ǬǬǬ666ǦǦǦǬǬǮǬǨǲǴǶ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eǸLLLLLǺǼǼǼǼǼǼǾǾȀȀȀȀȀȀȂȂȄȆ\u009e\u009e\u009e\u009e\u009e\u009eȈȈȊ666666666666666666666666666666ȊȊ6666666666Ȍ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eȎȐ\u001aȈȐȐȐȈȎǘȎ\u001aȈȐȐȎȐ\u001a\u001a\u001aȈȎȐȐȐȐȈȈȎȎȐȐȐȐȐȐȐȐ\u001aȈȈȐȐȈȈȈȈȎ\u001a\u001aȐȐȐȐȈȐȐȐȐȐȐȐȐȐȐȐȐȐȐȐ\u001aȎȐ\u001aȈȈ\u001aȈȈȈȈȐȈȐȐȐȐȐȐȐȐȐ\u001aȈȈȐȈȈȈȈȎȐȐȈȐȈȈȐȐȐȐȐȐȐȐȐȐȐȐȈȐ\u009e\u009e\u009e\u009e\u009e\u009e\u009eȌ666ȐȐ6666666666Ȑ666ȒȔ66666źźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźŦ\u009e\u009e666666666666666666Ȍ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e66666Ȍ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eȖȖȖȖȖȖȖȖȖȖȘȘȘȘȘȘȘȘȘȘȚȚȚȚȚȚȚȚȚȚ6666666666666ȜȜȜȜȜȜȜȜȜȜȜȜȜȞȞȞȞȞȞȞȞȞȞȞȞȞȠ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e6666666666666666666666666666666666666666666\u009e\u009e\u009e\u009e\u009e6666666666666666666666666666666666666666\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e6666666666\u009e\u009e\u009e6666666666666666666Ȣ6Ȍ66\u009e66666666666666Ȣ66666666666666666ȢȢ6Ȍ\u009eȌ666ȌȢ666\u009e\u009e\u009e\u009e\u009e\u009e\u009eȤȤȤȤȤȖȖȖȖȖȦȦȦȦȦȌ\u009e666666666666Ȣ666666Ȍ\u0006\fȨȪ\u000e\u000e\u000e\u000e\u000e6\u000e\u000e\u000e\u000eȬȮȰȲȲȲȲÊÊÊȴȶȶ6\u009e\u009e\u009eȢŐ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u009eŌȸÀÎŐ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090ŮÀÎ\u009e\u009eŐ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u009eŐ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Śźƀƀźźźźź\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eźźźźźźźźźźźźźźŦ\u009eƀƀƀƀƀźźźźźźźźźźźźź\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eźźźźźźźźźźźźźź\u009eȺȼȼȼȼȼźźźźźźźźźźźźźźźźźźźŦ\u009e\u009e\u009e\u009e\u009e\u009e\u009eźźźźźź\u009e\u009eźźźźźźźźźźźźźźźźźźźźźźźŦźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźŦ\u009eȺźźźźźźźźźźźźźźźźź\u009eźźźźźźźźźźźźźźźŦ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009ezzz¾\u009e\u009e\u009e\u009e\u009eɂzz\u009e\u009e\u009eľĨĨĨĨɄĨĨĨĨĨĨĪĨĨĪĪĨĲĪĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eĲĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨƾ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨ\u009eĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eĨĨĨĨĨĨ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eɆɆ\u009e\u009e\u009e\u009e\u009e\u009eɈɊɌɎɎɎɎɎɎɎɐ\u009eɒ\fǎɔ\fɖ\f\fȬɎɎǌ\f<Ȉɘɚ\f\u009e\u009eĨĪĪĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĪɜɒ\fɞ\fƾɠɈ\f\u0016\u0016\u0016\u0016\u0016\fȈɢ\u001e            ɤɦ&(************ɨɪɘɒƾɬ\u0090\u0090\u0090\u0090\u0090ɮ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090À\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u009e\u0090\u0090\u0090\u009e\u0090\u0090\u0090\u009e\u0090\u0090\u0090\u009e\u0090Ś\u009eɰɲɴɶȈȈȊȌ\u009e\u009e\u009e\u009e\u009e\u009e6\u009e".length() != 4032) {
         throw new RuntimeException();
      } else {
         for(int var5 = 0; var5 < 4032; ++var5) {
            field_1[var5] = (short)"\u0000\u0000\u0000\u0000\u0002\u0004\u0004\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0004\u0004\u0006\b\n\f\u000e\u0010\u0012\u0014\u0016\u0016\u0016\u0016\u0016\u0018\u001a\u001c\u001e            \"$&(************,.0\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u000024468:<>@BDFHJLNPPPPPPPPPPPRPPPTVVVVVVVVVVVXVVVZ\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\^\\\\\\`bbbbbbbd\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\fbbhj\\\\lnpdrtnvx\\z|~\\\\\\\u0080\u0082\u0084\\\u0086\u0088\u008ab\u008c\\\u008e\\\u0090\u0090\u0090\u0092\u0094\u0096\u0092\u0098bbbbbbb\u009a\\\\\\\\\\\\\\\\\\\u009c\u0096\\\u009e\u009e\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009ez ¢¤¦¨zzª¬zz®zz°z²´zzzzzz¶zz¸ºzzz¼zzzzzzzzzz¾\u009e\u009e\u009eÀÀÀÀÂÄÀÀÀÆÆÆÆÆÆÆÀÆÆÆÆÆÆÈÀÀÂÆÆ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eÊ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eÌ\u009e\u009eÎ\u009eÐ\u009e\u009eÆÒÔÖØÚÜPPPPPPPPÞPPPPàâäVVVVVVVVæVVVVèêìîðò\u009eôôôô\\\\\\\\\\\\\\ö\u008e\u009e\u009e\u009e\u009e\u009e\u009eøúúúúúüúPPPPPPPPPPPPPPPPVVVVVVVVVVVVVVVVþĀĀĀĀĀĂĀ\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\ĄÊĆ\u009e\u009e\u009e\u009e\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\ĈbĊČĊČĊ\u009e\\\\\\\\\\\\\\\\\\\\\\\\\\\\\u009e\\\\\\\\\u009e\\\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eĎĐĐĐĐĐĐĐĐĐĐĐĐĐĐĐĐĐĐĒĔÌÌÌĖĘĘĘĘĘĘĘĘĘĘĘĘĘĘĘĘĘĘĚĜ\u009e\u009e\u009eĞĠĠĠĠĠĠĠĠĞĠĠĠĠĠĠĠĠĠĠĠĞĠĢĢĤĦ\u009e\u009e\u009e\u009e\u009eĨĨĨĨĨĨĨĨĨĨĨĨĨĪ\u009e\u009eĨĬĮ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eĮ\u009e\u009e\u009e\u009e\u009e\u009eİ\u009eİĲĨĨĨĨĨĨĨĨĨĨĨĨĪ\u009e\u009eĴĨĨĨĨĶĠĠĠĦ\u009e\u009e\u009e\u009e\u009e\u009eĸĸĸĸĸĺļ\u009eľĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨ\u009eĨĨĪĨĨĨĨĨĨĨĪĨĨŀĠĠĠłńĠĠņňŊĠĠ\u009e\u0016\u0016\u0016\u0016\u0016\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eŌŎŐ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u009eŒŔŖÊÊÊŎŔŖ\u009eĄÊĆ\u009e\u0090\u0090\u0090\u0090\u0090ÊÌŘŘŘŘŘÐ\u009e\u009e\u009e\u009e\u009e\u009e\u009eŌŔŐ\u0090\u0090\u0090ŚŐŚŐ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u0090\u0090\u0090ŚŚ\u009e\u0090\u0090\u009eĆŔŖÊĆŜŞŜŖ\u009e\u009e\u009e\u009eŜ\u009e\u009e\u0090Ő\u0090Ê\u009eŘŘŘŘŘ\u0090ŠŢŢŤŦ\u009e\u009e\u009eĆŐ\u0090\u0090Ś\u009eŐŚŐ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u0090\u0090\u0090Ś\u0090ŐŚ\u0090\u009eĆŔŖĆ\u009eŌĆŌÊ\u009e\u009e\u009e\u009e\u009eŐ\u0090ŚŚ\u009e\u009e\u009eŘŘŘŘŘÊ\u0090Ś\u009e\u009e\u009e\u009e\u009eŌŎŐ\u0090\u0090\u0090ŐŐ\u0090Ő\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u0090\u0090\u0090Ś\u0090Ő\u0090\u0090\u009eŒŔŖÊÊŌŎŜŖ\u009eŦ\u009e\u009e\u009e\u009e\u009e\u009e\u009eŚ\u009e\u009eŘŘŘŘŘ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eŌŔŐ\u0090\u0090\u0090ŚŐŚŐ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u0090\u0090\u0090Ś\u0090\u009e\u0090\u0090\u009eŒŖŖÊ\u009eŜŞŜŖ\u009e\u009e\u009e\u009eŎ\u009e\u009e\u0090Ő\u0090\u009e\u009eŘŘŘŘŘŦ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eŎŐ\u0090\u0090Ś\u009e\u0090Ś\u0090\u0090\u009eŐŚŚ\u0090\u009eŐŚ\u009e\u0090Ś\u009e\u0090\u0090\u0090\u0090Ő\u0090\u009e\u009eŔŎŞ\u009eŔŞŔŖ\u009e\u009e\u009e\u009eŜ\u009e\u009e\u009e\u009e\u009e\u009e\u009eŨŘŘŘŘŪŬ\u009e\u009e\u009e\u009e\u009e\u009eŜŔŐ\u0090\u0090\u0090Ś\u0090Ś\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u0090\u0090\u0090\u0090\u0090Ő\u0090\u0090\u009e\u009eÊŎŔŞÊĆÊÊ\u009e\u009e\u009eŌĆ\u009e\u009e\u009e\u009e\u0090\u009e\u009eŘŘŘŘŘ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eŔŐ\u0090\u0090\u0090Ś\u0090Ś\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u0090\u0090\u0090\u0090\u0090Ő\u0090\u0090\u009e\u009eŖŔŔŞŎŞŔÊ\u009e\u009e\u009eŜŞ\u009e\u009e\u009eŚ\u0090\u009e\u009eŘŘŘŘŘ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eŔŐ\u0090\u0090\u0090Ś\u0090Ś\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u009e\u009eŔŖÊ\u009eŔŞŔŖ\u009e\u009e\u009e\u009eŜ\u009e\u009e\u009e\u009e\u0090\u009e\u009eŘŘŘŘŘ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eŐ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090ŮŰ\u0090ÊÊÊĆ\u009eŲ\u0090\u0090\u0090ŴÊÊÊŶŸŸŸŸŸÌ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eŐŚŚŐŚŚŐ\u009e\u009e\u009e\u0090\u0090Ő\u0090\u0090\u0090Ő\u0090ŐŐ\u009e\u0090ŐŮŰ\u0090ÊÊÊŌŒ\u009e\u0090\u0090ŚÎÊÊÊ\u009eŸŸŸŸŸ\u009e\u0090\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eźźÌÌÌÌÌÌÌżźźÊźźźžžžžžƀƀƀƀƀĄĄĄƂƂŔ\u0090\u0090\u0090\u0090Ő\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u009e\u009e\u009eŌÊÊÊÊÊÊŎÊÊƄÊÊÊ\u009e\u009eÊÊÊŌŌÊÊÊÊÊÊÊÊÊÊ\u009eŌÊÊÊŌ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eĐĐĐĐĐĐĐĐĐĐĐĐĐĐĐĐĐĐĐ\u009e\u009e\u009e\u009e\u009ezzzzzzzzzzzzzzzzzzz¾\u009eĜ\u009e\u009e\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u009e\u009eŐ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u009e\u009e\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u009e\u009e\u009e\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\zzƆ\u009e\u009e\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\u009e\u009e\u009eƈƈƈƈƊƊƊƊƈƈƈ\u009eƊƊƊ\u009eƈƈƈƈƊƊƊƊƈƈƈƈƊƊƊƊƈƈƈ\u009eƊƊƊ\u009eƌƌƌƌƎƎƎƎƈƈƈƈƊƊƊƊƐƒƒƔƖƘƚ\u009eƈƈƈƈƊƊƊƊƈƈƈƈƊƊƊƊƈƈƈƈƊƊƊƊƈƜ¾zƊƞƠƢÆƜ¾zƤƤƠÆƈz\u009ezƊƦƨÆƈzƪzƊƬƮÆ\u009eƜ¾zưƲƠÈƴƴƴƶƴƴƸƺƼƼƼ\fƾǀƾǀ\f\f\f\fǂƸƸǄǆǆǈ\fǊǌ\fǎǐ\fǒǔ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eƸƸƸǖ\u009eBBBǘǒǚǜǜǜǜǜǘǒǔ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e444444Ǟ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eÊÊÊÊÊÊǠǢǤ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e6Ǧ6Ǩ6ǪǬǮǬǰǨ6ǬǬǬ666ǦǦǦǬǬǮǬǨǲǴǶ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eǸLLLLLǺǼǼǼǼǼǼǾǾȀȀȀȀȀȀȂȂȄȆ\u009e\u009e\u009e\u009e\u009e\u009eȈȈȊ666666666666666666666666666666ȊȊ6666666666Ȍ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eȎȐ\u001aȈȐȐȐȈȎǘȎ\u001aȈȐȐȎȐ\u001a\u001a\u001aȈȎȐȐȐȐȈȈȎȎȐȐȐȐȐȐȐȐ\u001aȈȈȐȐȈȈȈȈȎ\u001a\u001aȐȐȐȐȈȐȐȐȐȐȐȐȐȐȐȐȐȐȐȐ\u001aȎȐ\u001aȈȈ\u001aȈȈȈȈȐȈȐȐȐȐȐȐȐȐȐ\u001aȈȈȐȈȈȈȈȎȐȐȈȐȈȈȐȐȐȐȐȐȐȐȐȐȐȐȈȐ\u009e\u009e\u009e\u009e\u009e\u009e\u009eȌ666ȐȐ6666666666Ȑ666ȒȔ66666źźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźŦ\u009e\u009e666666666666666666Ȍ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e66666Ȍ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eȖȖȖȖȖȖȖȖȖȖȘȘȘȘȘȘȘȘȘȘȚȚȚȚȚȚȚȚȚȚ6666666666666ȜȜȜȜȜȜȜȜȜȜȜȜȜȞȞȞȞȞȞȞȞȞȞȞȞȞȠ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e6666666666666666666666666666666666666666666\u009e\u009e\u009e\u009e\u009e6666666666666666666666666666666666666666\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e6666666666\u009e\u009e\u009e6666666666666666666Ȣ6Ȍ66\u009e66666666666666Ȣ66666666666666666ȢȢ6Ȍ\u009eȌ666ȌȢ666\u009e\u009e\u009e\u009e\u009e\u009e\u009eȤȤȤȤȤȖȖȖȖȖȦȦȦȦȦȌ\u009e666666666666Ȣ666666Ȍ\u0006\fȨȪ\u000e\u000e\u000e\u000e\u000e6\u000e\u000e\u000e\u000eȬȮȰȲȲȲȲÊÊÊȴȶȶ6\u009e\u009e\u009eȢŐ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u009eŌȸÀÎŐ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090ŮÀÎ\u009e\u009eŐ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u009eŐ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Śźƀƀźźźźź\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eźźźźźźźźźźźźźźŦ\u009eƀƀƀƀƀźźźźźźźźźźźźź\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eźźźźźźźźźźźźźź\u009eȺȼȼȼȼȼźźźźźźźźźźźźźźźźźźźŦ\u009e\u009e\u009e\u009e\u009e\u009e\u009eźźźźźź\u009e\u009eźźźźźźźźźźźźźźźźźźźźźźźŦźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźźŦ\u009eȺźźźźźźźźźźźźźźźźź\u009eźźźźźźźźźźźźźźźŦ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾȾɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀɀ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009ezzz¾\u009e\u009e\u009e\u009e\u009eɂzz\u009e\u009e\u009eľĨĨĨĨɄĨĨĨĨĨĨĪĨĨĪĪĨĲĪĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eĲĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨƾ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨ\u009eĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eĨĨĨĨĨĨ\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009e\u009eɆɆ\u009e\u009e\u009e\u009e\u009e\u009eɈɊɌɎɎɎɎɎɎɎɐ\u009eɒ\fǎɔ\fɖ\f\fȬɎɎǌ\f<Ȉɘɚ\f\u009e\u009eĨĪĪĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĨĪɜɒ\fɞ\fƾɠɈ\f\u0016\u0016\u0016\u0016\u0016\fȈɢ\u001e            ɤɦ&(************ɨɪɘɒƾɬ\u0090\u0090\u0090\u0090\u0090ɮ\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090À\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090\u0090Ś\u009e\u0090\u0090\u0090\u009e\u0090\u0090\u0090\u009e\u0090\u0090\u0090\u009e\u0090Ś\u009eɰɲɴɶȈȈȊȌ\u009e\u009e\u009e\u009e\u009e\u009e6\u009e".charAt(var5);
         }

         var0 = "\u0001Ə\u0001Ə\u0001Ə\u0004į\u0004Ə\u0004Ə\u0004Ō\u0000Ƙ\u0000Ƙ\u0000¸\u0006º\u0000¸\u0000Ƙ\u0000Ƙ\u0000ŵ\u0000Ŷ\u0000Ƙ\u0000¹\u0000ø\u0000´\u0000ø\u0000\u0098\u0003恩\u0003恩\u0000ø\u0000Ƙ\u0000Ź\u0000ƙ\u0000Ź\u0000Ƙ\u0000Ƙࠧ︡ࠧ︡ࠧ︡ࠧ︡\u0000ŵ\u0000Ƙ\u0000Ŷ\u0000ƛ\u0005Ɨ\u0000ƛࠗ︢ࠗ︢ࠗ︢ࠗ︢\u0000ŵ\u0000ƙ\u0000Ŷ\u0000ƙ\u0001Ə\u0000Ō\u0000Ƙ\u0006º\u0006º\u0000Ɯ\u0000Ɯ\u0000ƛ\u0000Ɯ\u0007Ƃ\u0000ƕ\u0000ƙ\u0000Ɣ\u0000Ɯ\u0000ƛ\u0000¼\u0000¹\u0000恫\u0000恫\u0000ƛ\u0007Ƃ\u0000Ɯ\u0000Ƙ\u0000ƛ\u0000偫\u0007Ƃ\u0000Ɩ\u0000膋\u0000膋\u0000膋\u0000Ƙࠧ!ࠧ!ࠧ!\u0000ƙࠧ!\u0007\"ࠗ\"ࠗ\"ࠗ\"\u0000ƙࠗ\"\ue1d7\"g!W\"칧!㨗\"\u0007\"g!W\"g!W\"\u0007\"\ue1e7!g!W\"䬗\"\u0007\"㒧!㎧!g!W\"㍧!㍧!g!Ꮷ!㊧!㋧!g!㏧!\u0007\"㓧!㑧!\u0007\"\u0007\"㓧!㕧!\u0007\"㖧!\u0007!g!W\"㚧!\u0007%\u0007\"㚧!g!W\"㙧!㙧!g!W\"㛧!\u0007\"\u0007%\u0007%\u0007%¯!\u007f#\u009f\"¯!\u007f#\u009f\"\u009f\"g!W\"Ꮧ\"\u0007\"¯!\u0000\u0000\u0000\u0000\u0007\"㒗\"㎗\"\u0007\"㍗\"㍗\"\u0007\"㊗\"\u0007\"㋗\"㍗\"\u0007\"\u0007\"㏗\"㑗\"㓗\"\u0007\"㓗\"㕗\"\u0007\"\u0007\"쪧\"\u0007\"㚗\"㚗\"\u0007\"㙗\"㙗\"㛗\"\u0007\"\u0007\"\u0000\u0000\u0007$\u0007$\u0007$\u0000;\u0000;\u0007$\u0000;\u0000;\u0000;\u0000\u0000\u0003&\u0003&\u00008\u00008\u0007$\u0000\u0000\u00008\u0000\u0000ধ!\u00008१!१!१!\u0000\u0000ဧ!\u0000\u0000\u0fe7!\u0fe7!\u0007\"ࠧ!\u0000\u0000ࠧ!গ\"ॗ\"ॗ\"ॗ\"\u0007\"ࠗ\"ߗ\"ࠗ\"ဗ\"࿗\"࿗\"\u0000\u0000ྗ\"๗\"\u0007!\u0007!\u0007!ௗ\"\u0d97\"\u0000\u0000\u0007!\u0000\u0000ᖗ\"ᐗ\"\u0000\u0000ᐧ!ᐧ!ᐧ!ᐧ!\u0000\u0000\u0000\u0000ᐗ\"ᐗ\"ᐗ\"ᐗ\"\u0000\u0000\u0000<\u0003&\u0003&\u0000\u0000\u0007%g!W\"\u0000\u0000\u0000\u0000g!\u0000\u0000ధ!ధ!ధ!ధ!\u0000\u0000\u0000\u0000\u0007$\u0000\u0000గ\"గ\"గ\"గ\"\u0007\"\u0000\u0000\u00008\u0000\u0000\u0003F\u0003F\u0003F\u0000X\u0003F\u0003F\u0000X\u0003F\u0000\u0000\u0007E\u0007E\u0007E\u0000\u0000\u0007E\u0000X\u0000X\u0000\u0000\u0000\u0000\u0000X\u0000\u0000\u0007E\u0007D\u0007E\u0007E\u0003F\u0003䃉\u0003䃉\u0000¸\u0000Ø\u0000Ø\u0000X\u0003F\u0007E\u0000X\u0007E\u0003F\u0000G\u0000G\u0003F\u0003F\u0007D\u0007D\u0003F\u0003F\u0000\\\u0000\u0000\u0003&\u0003&\u0003(\u0000\u0000\u0007%\u0003&\u0007%\u0003(\u0003(\u0003(\u0003&\u0003琩\u0003琩\u0007%\u0000\u0000\u0000\u0000\u0003(\u0003(\u0000\u0000\u0006:\u0006:\u0000娫\u0000娫\u0000耫\u0000渫\u0000<\u0000\u0000\u0000\u0000\u0003琩\u0000琫\u0000耫\u0000耫\u0000\u0000\u0007%\u00008\u0007%\u0003&\u0000\u0000\u0006:\u0007$\u0003&\u0003&\u0000<\u0003怩\u0003怩\u0000<\u0000<\u00008\u0000<\u0003䀩\u0003䀩\u0000+\u0000+\u00005\u00006\u0003&\u00008\u0007\"໗\"︗\"︗\"︧!︧!\u0007\"︗\"\u0000\u0000︧!\ued97\"\ued97\"\uea97\"\uea97\"\ue717\"\ue717\"\ue017\"\ue017\"\ue417\"\ue417\"\ue097\"\ue097\"\u0007\"\ufdd7\"\ueda7!\ueda7!\ufde7!\u0000;\u0007!\u0000;\ueaa7!\ueaa7!\ue727!\ue727!\u0000\u0000\u0000;\u0007\"﹗\"\ue427!\ue427!\ufe67!\u0000;\ue027!\ue027!\ue0a7!\ue0a7!\u0004Ō\u0004Ō\u0004Ō\u0004ì\u0001Ɛ\u0001Ɛ\u00010\u0001P\u0000Ɣ\u0000Ɣ\u0000ƕ\u0000Ɩ\u0000ƕ\u0000ƕ\u0004č\u0004Ď\u0001Ɛ\u0000\u0000\u0000¸\u0000¸\u0000¸\u0000Ƙ\u0000Ƙ\u0000ƕ\u0000Ɩ\u0000Ƙ\u0000Ƙ\u0005Ɨ\u0005Ɨ\u0000Ƙ\u0000ƙ\u0000ŵ\u0000Ŷ\u0000\u0000\u0000恫\u0000\u0000\u0000¹\u0000¹\u0000Ŷ\u0007Ƃ\u0000䁫\u0000䁫\u0006º\u0000\u0000\u0003&\u0000'\u0000'\u0000'\u0000'\u0003&\u0007Ɓ\u0000Ɯ\u0000Ɯ\u0007Ɓ\u0007Ƃ\u0007Ɓ\u0007Ɓ\u0007Ɓ\u0007Ƃ\u0007Ƃ\u0007Ɓ\u0007Ƃ\u0007Ƃ\u0007ƅ\u0007ƅ\u0007ƅ\u0007ƅ\u0000\u0000\u0000\u0000\u0000膋\u0000膋\u0000䖋Ч䈪Ч䈪Ч耪Ч耪З截З截З耪З耪\u0007耪\u0007耪\u0007耪\u0000\u0000\u0000ƙ\u0000ƙ\u0000ƙ\u0000Ɯ\u0000Ɯ\u0000\u0000\u0000ƙ\u0000Ź\u0000Ź\u0000Ź\u0000Ɯ\u0000ŵ\u0000Ŷ\u0000Ɯ\u0000䎋\u0000䎋\u0000宋\u0000宋\u0000王\u0000王ڠƜڠƜڐƜڐƜ\u0000涋\u0000\u0000\u0000\u0000\u0000Ɯ\u0000型\u0000型\u0000澋\u0000澋\u0000Ɯ\u0007Ƅ\u0000Ƙ\u0007玊\u0000Ɣ\u0000ƕ\u0000Ɩ\u0000Ɩ\u0000Ɯ\u0007䀪\u0007䀪\u0007䀪\u0000Ɣ\u0007Ƅ\u0007Ƅ\u0007Ƅ\u0003&\u0007$\u0000\u0000\u0000<\u0000䈫\u0000䈫\u00003\u00003\u00002\u00002\u0000\u0000\u0007\"\u0007E\u0000Y\u0003Ɔ\u0003Ɔ\u0000Ƙ\u0000Ɣ\u0000Ɣ\u0005Ɨ\u0005Ɨ\u0000ƕ\u0000Ɩ\u0000ƕ\u0000Ɩ\u0000\u0000\u0000\u0000\u0000Ƙ\u0005Ɨ\u0005Ɨ\u0000Ƙ\u0000\u0000\u0000ƙ\u0000\u0000\u0000Ƙ\u0006ƚ\u0000\u0000\u0001Ɛ\u0006ƚ\u0000Ƙ\u0000Ƙ\u0000ƙ\u0000ƙ\u0000Ƙࠧ︡\u0000ƕ\u0000Ƙ\u0000Ɩࠗ︢\u0000ƕ\u0000ƙ\u0000Ɩ\u0000Ƙ\u00008\u0007$\u0007%\u0006ƚ\u0006ƚ\u0000ƙ\u0000ƛ\u0000Ɯ\u0006ƚ\u0006ƚ\u0000\u0000".length();
         var1 = 0;
         int var8 = 0;
         int var9 = 0;

         for(int var11 = 0; var11 < var0; ++var11) {
            var9 |= "\u0001Ə\u0001Ə\u0001Ə\u0004į\u0004Ə\u0004Ə\u0004Ō\u0000Ƙ\u0000Ƙ\u0000¸\u0006º\u0000¸\u0000Ƙ\u0000Ƙ\u0000ŵ\u0000Ŷ\u0000Ƙ\u0000¹\u0000ø\u0000´\u0000ø\u0000\u0098\u0003恩\u0003恩\u0000ø\u0000Ƙ\u0000Ź\u0000ƙ\u0000Ź\u0000Ƙ\u0000Ƙࠧ︡ࠧ︡ࠧ︡ࠧ︡\u0000ŵ\u0000Ƙ\u0000Ŷ\u0000ƛ\u0005Ɨ\u0000ƛࠗ︢ࠗ︢ࠗ︢ࠗ︢\u0000ŵ\u0000ƙ\u0000Ŷ\u0000ƙ\u0001Ə\u0000Ō\u0000Ƙ\u0006º\u0006º\u0000Ɯ\u0000Ɯ\u0000ƛ\u0000Ɯ\u0007Ƃ\u0000ƕ\u0000ƙ\u0000Ɣ\u0000Ɯ\u0000ƛ\u0000¼\u0000¹\u0000恫\u0000恫\u0000ƛ\u0007Ƃ\u0000Ɯ\u0000Ƙ\u0000ƛ\u0000偫\u0007Ƃ\u0000Ɩ\u0000膋\u0000膋\u0000膋\u0000Ƙࠧ!ࠧ!ࠧ!\u0000ƙࠧ!\u0007\"ࠗ\"ࠗ\"ࠗ\"\u0000ƙࠗ\"\ue1d7\"g!W\"칧!㨗\"\u0007\"g!W\"g!W\"\u0007\"\ue1e7!g!W\"䬗\"\u0007\"㒧!㎧!g!W\"㍧!㍧!g!Ꮷ!㊧!㋧!g!㏧!\u0007\"㓧!㑧!\u0007\"\u0007\"㓧!㕧!\u0007\"㖧!\u0007!g!W\"㚧!\u0007%\u0007\"㚧!g!W\"㙧!㙧!g!W\"㛧!\u0007\"\u0007%\u0007%\u0007%¯!\u007f#\u009f\"¯!\u007f#\u009f\"\u009f\"g!W\"Ꮧ\"\u0007\"¯!\u0000\u0000\u0000\u0000\u0007\"㒗\"㎗\"\u0007\"㍗\"㍗\"\u0007\"㊗\"\u0007\"㋗\"㍗\"\u0007\"\u0007\"㏗\"㑗\"㓗\"\u0007\"㓗\"㕗\"\u0007\"\u0007\"쪧\"\u0007\"㚗\"㚗\"\u0007\"㙗\"㙗\"㛗\"\u0007\"\u0007\"\u0000\u0000\u0007$\u0007$\u0007$\u0000;\u0000;\u0007$\u0000;\u0000;\u0000;\u0000\u0000\u0003&\u0003&\u00008\u00008\u0007$\u0000\u0000\u00008\u0000\u0000ধ!\u00008१!१!१!\u0000\u0000ဧ!\u0000\u0000\u0fe7!\u0fe7!\u0007\"ࠧ!\u0000\u0000ࠧ!গ\"ॗ\"ॗ\"ॗ\"\u0007\"ࠗ\"ߗ\"ࠗ\"ဗ\"࿗\"࿗\"\u0000\u0000ྗ\"๗\"\u0007!\u0007!\u0007!ௗ\"\u0d97\"\u0000\u0000\u0007!\u0000\u0000ᖗ\"ᐗ\"\u0000\u0000ᐧ!ᐧ!ᐧ!ᐧ!\u0000\u0000\u0000\u0000ᐗ\"ᐗ\"ᐗ\"ᐗ\"\u0000\u0000\u0000<\u0003&\u0003&\u0000\u0000\u0007%g!W\"\u0000\u0000\u0000\u0000g!\u0000\u0000ధ!ధ!ధ!ధ!\u0000\u0000\u0000\u0000\u0007$\u0000\u0000గ\"గ\"గ\"గ\"\u0007\"\u0000\u0000\u00008\u0000\u0000\u0003F\u0003F\u0003F\u0000X\u0003F\u0003F\u0000X\u0003F\u0000\u0000\u0007E\u0007E\u0007E\u0000\u0000\u0007E\u0000X\u0000X\u0000\u0000\u0000\u0000\u0000X\u0000\u0000\u0007E\u0007D\u0007E\u0007E\u0003F\u0003䃉\u0003䃉\u0000¸\u0000Ø\u0000Ø\u0000X\u0003F\u0007E\u0000X\u0007E\u0003F\u0000G\u0000G\u0003F\u0003F\u0007D\u0007D\u0003F\u0003F\u0000\\\u0000\u0000\u0003&\u0003&\u0003(\u0000\u0000\u0007%\u0003&\u0007%\u0003(\u0003(\u0003(\u0003&\u0003琩\u0003琩\u0007%\u0000\u0000\u0000\u0000\u0003(\u0003(\u0000\u0000\u0006:\u0006:\u0000娫\u0000娫\u0000耫\u0000渫\u0000<\u0000\u0000\u0000\u0000\u0003琩\u0000琫\u0000耫\u0000耫\u0000\u0000\u0007%\u00008\u0007%\u0003&\u0000\u0000\u0006:\u0007$\u0003&\u0003&\u0000<\u0003怩\u0003怩\u0000<\u0000<\u00008\u0000<\u0003䀩\u0003䀩\u0000+\u0000+\u00005\u00006\u0003&\u00008\u0007\"໗\"︗\"︗\"︧!︧!\u0007\"︗\"\u0000\u0000︧!\ued97\"\ued97\"\uea97\"\uea97\"\ue717\"\ue717\"\ue017\"\ue017\"\ue417\"\ue417\"\ue097\"\ue097\"\u0007\"\ufdd7\"\ueda7!\ueda7!\ufde7!\u0000;\u0007!\u0000;\ueaa7!\ueaa7!\ue727!\ue727!\u0000\u0000\u0000;\u0007\"﹗\"\ue427!\ue427!\ufe67!\u0000;\ue027!\ue027!\ue0a7!\ue0a7!\u0004Ō\u0004Ō\u0004Ō\u0004ì\u0001Ɛ\u0001Ɛ\u00010\u0001P\u0000Ɣ\u0000Ɣ\u0000ƕ\u0000Ɩ\u0000ƕ\u0000ƕ\u0004č\u0004Ď\u0001Ɛ\u0000\u0000\u0000¸\u0000¸\u0000¸\u0000Ƙ\u0000Ƙ\u0000ƕ\u0000Ɩ\u0000Ƙ\u0000Ƙ\u0005Ɨ\u0005Ɨ\u0000Ƙ\u0000ƙ\u0000ŵ\u0000Ŷ\u0000\u0000\u0000恫\u0000\u0000\u0000¹\u0000¹\u0000Ŷ\u0007Ƃ\u0000䁫\u0000䁫\u0006º\u0000\u0000\u0003&\u0000'\u0000'\u0000'\u0000'\u0003&\u0007Ɓ\u0000Ɯ\u0000Ɯ\u0007Ɓ\u0007Ƃ\u0007Ɓ\u0007Ɓ\u0007Ɓ\u0007Ƃ\u0007Ƃ\u0007Ɓ\u0007Ƃ\u0007Ƃ\u0007ƅ\u0007ƅ\u0007ƅ\u0007ƅ\u0000\u0000\u0000\u0000\u0000膋\u0000膋\u0000䖋Ч䈪Ч䈪Ч耪Ч耪З截З截З耪З耪\u0007耪\u0007耪\u0007耪\u0000\u0000\u0000ƙ\u0000ƙ\u0000ƙ\u0000Ɯ\u0000Ɯ\u0000\u0000\u0000ƙ\u0000Ź\u0000Ź\u0000Ź\u0000Ɯ\u0000ŵ\u0000Ŷ\u0000Ɯ\u0000䎋\u0000䎋\u0000宋\u0000宋\u0000王\u0000王ڠƜڠƜڐƜڐƜ\u0000涋\u0000\u0000\u0000\u0000\u0000Ɯ\u0000型\u0000型\u0000澋\u0000澋\u0000Ɯ\u0007Ƅ\u0000Ƙ\u0007玊\u0000Ɣ\u0000ƕ\u0000Ɩ\u0000Ɩ\u0000Ɯ\u0007䀪\u0007䀪\u0007䀪\u0000Ɣ\u0007Ƅ\u0007Ƅ\u0007Ƅ\u0003&\u0007$\u0000\u0000\u0000<\u0000䈫\u0000䈫\u00003\u00003\u00002\u00002\u0000\u0000\u0007\"\u0007E\u0000Y\u0003Ɔ\u0003Ɔ\u0000Ƙ\u0000Ɣ\u0000Ɣ\u0005Ɨ\u0005Ɨ\u0000ƕ\u0000Ɩ\u0000ƕ\u0000Ɩ\u0000\u0000\u0000\u0000\u0000Ƙ\u0005Ɨ\u0005Ɨ\u0000Ƙ\u0000\u0000\u0000ƙ\u0000\u0000\u0000Ƙ\u0006ƚ\u0000\u0000\u0001Ɛ\u0006ƚ\u0000Ƙ\u0000Ƙ\u0000ƙ\u0000ƙ\u0000Ƙࠧ︡\u0000ƕ\u0000Ƙ\u0000Ɩࠗ︢\u0000ƕ\u0000ƙ\u0000Ɩ\u0000Ƙ\u00008\u0007$\u0007%\u0006ƚ\u0006ƚ\u0000ƙ\u0000ƛ\u0000Ɯ\u0006ƚ\u0006ƚ\u0000\u0000".charAt(var11);
            ++var8;
            if (var8 == 2) {
               field_2[var1++] = var9;
               var9 = 0;
               var8 = 0;
            } else {
               var9 <<= 16;
            }
         }

         if (var1 != 632) {
            throw new RuntimeException();
         }
      }
   }
}
