package java.lang;

import java.io.PrintStream;
import java.io.PrintWriter;

public class ExceptionInInitializerError extends LinkageError {
   private static final long serialVersionUID = 1521711792217232256L;
   private Throwable exception;

   public ExceptionInInitializerError() {
   }

   public ExceptionInInitializerError(Throwable var1) {
      this.exception = var1;
   }

   public ExceptionInInitializerError(String var1) {
      super(var1);
   }

   public Throwable getException() {
      return this.exception;
   }

   public void printStackTrace() {
      this.printStackTrace(System.err);
   }

   public void printStackTrace(PrintStream var1) {
      synchronized(var1) {
         if (this.exception != null) {
            var1.print("java.lang.ExceptionInInitializerError: ");
            this.exception.printStackTrace(var1);
         } else {
            super.printStackTrace(var1);
         }

      }
   }

   public void printStackTrace(PrintWriter var1) {
      synchronized(var1) {
         if (this.exception != null) {
            var1.print("java.lang.ExceptionInInitializerError: ");
            this.exception.printStackTrace(var1);
         } else {
            super.printStackTrace(var1);
         }

      }
   }
}
