package java.lang;

import java.util.Random;

public final class Math {
   // $FF: renamed from: E double
   public static final double field_0 = E;
   // $FF: renamed from: PI double
   public static final double field_1 = PI;
   private static Random randomNumberGenerator;
   private static long negativeZeroFloatBits = (long)Float.floatToIntBits(-0.0F);
   private static long negativeZeroDoubleBits = Double.doubleToLongBits((double)-0.0F);

   private strictfp Math() {
   }

   public static strictfp double sin(double var0) {
      return StrictMath.sin(var0);
   }

   public static strictfp double cos(double var0) {
      return StrictMath.cos(var0);
   }

   public static strictfp double tan(double var0) {
      return StrictMath.tan(var0);
   }

   public static strictfp double asin(double var0) {
      return StrictMath.asin(var0);
   }

   public static strictfp double acos(double var0) {
      return StrictMath.acos(var0);
   }

   public static strictfp double atan(double var0) {
      return StrictMath.atan(var0);
   }

   public static strictfp double toRadians(double var0) {
      return var0 / (double)180.0F * PI;
   }

   public static strictfp double toDegrees(double var0) {
      return var0 * (double)180.0F / PI;
   }

   public static strictfp double exp(double var0) {
      return StrictMath.exp(var0);
   }

   public static strictfp double log(double var0) {
      return StrictMath.log(var0);
   }

   public static strictfp double sqrt(double var0) {
      return StrictMath.sqrt(var0);
   }

   public static strictfp double IEEEremainder(double var0, double var2) {
      return StrictMath.IEEEremainder(var0, var2);
   }

   public static strictfp double ceil(double var0) {
      return StrictMath.ceil(var0);
   }

   public static strictfp double floor(double var0) {
      return StrictMath.floor(var0);
   }

   public static strictfp double rint(double var0) {
      return StrictMath.rint(var0);
   }

   public static strictfp double atan2(double var0, double var2) {
      return StrictMath.atan2(var0, var2);
   }

   public static strictfp double pow(double var0, double var2) {
      return StrictMath.pow(var0, var2);
   }

   public static strictfp int round(float var0) {
      return (int)floor((double)(var0 + 0.5F));
   }

   public static strictfp long round(double var0) {
      return (long)floor(var0 + (double)0.5F);
   }

   private static strictfp synchronized void initRNG() {
      if (randomNumberGenerator == null) {
         randomNumberGenerator = new Random();
      }

   }

   public static strictfp double random() {
      if (randomNumberGenerator == null) {
         initRNG();
      }

      return randomNumberGenerator.nextDouble();
   }

   public static strictfp int abs(int var0) {
      return var0 < 0 ? -var0 : var0;
   }

   public static strictfp long abs(long var0) {
      return var0 < 0L ? -var0 : var0;
   }

   public static strictfp float abs(float var0) {
      return var0 <= 0.0F ? 0.0F - var0 : var0;
   }

   public static strictfp double abs(double var0) {
      return var0 <= (double)0.0F ? (double)0.0F - var0 : var0;
   }

   public static strictfp int max(int var0, int var1) {
      return var0 >= var1 ? var0 : var1;
   }

   public static strictfp long max(long var0, long var2) {
      return var0 >= var2 ? var0 : var2;
   }

   public static strictfp float max(float var0, float var1) {
      if (var0 != var0) {
         return var0;
      } else if (var0 == 0.0F && var1 == 0.0F && (long)Float.floatToIntBits(var0) == negativeZeroFloatBits) {
         return var1;
      } else {
         return var0 >= var1 ? var0 : var1;
      }
   }

   public static strictfp double max(double var0, double var2) {
      if (var0 != var0) {
         return var0;
      } else if (var0 == (double)0.0F && var2 == (double)0.0F && Double.doubleToLongBits(var0) == negativeZeroDoubleBits) {
         return var2;
      } else {
         return var0 >= var2 ? var0 : var2;
      }
   }

   public static strictfp int min(int var0, int var1) {
      return var0 <= var1 ? var0 : var1;
   }

   public static strictfp long min(long var0, long var2) {
      return var0 <= var2 ? var0 : var2;
   }

   public static strictfp float min(float var0, float var1) {
      if (var0 != var0) {
         return var0;
      } else if (var0 == 0.0F && var1 == 0.0F && (long)Float.floatToIntBits(var1) == negativeZeroFloatBits) {
         return var1;
      } else {
         return var0 <= var1 ? var0 : var1;
      }
   }

   public static strictfp double min(double var0, double var2) {
      if (var0 != var0) {
         return var0;
      } else if (var0 == (double)0.0F && var2 == (double)0.0F && Double.doubleToLongBits(var2) == negativeZeroDoubleBits) {
         return var2;
      } else {
         return var0 <= var2 ? var0 : var2;
      }
   }
}
