package java.lang;

public final class Short extends Number implements Comparable {
   public static final short MIN_VALUE = -32768;
   public static final short MAX_VALUE = 32767;
   public static final Class TYPE = Class.getPrimitiveClass("short");
   private short value;
   private static final long serialVersionUID = 7515723908773894738L;

   public static String toString(short var0) {
      return Integer.toString(var0, 10);
   }

   public static short parseShort(String var0) throws NumberFormatException {
      return parseShort(var0, 10);
   }

   public static short parseShort(String var0, int var1) throws NumberFormatException {
      int var2 = Integer.parseInt(var0, var1);
      if (var2 >= -32768 && var2 <= 32767) {
         return (short)var2;
      } else {
         throw new NumberFormatException();
      }
   }

   public static Short valueOf(String var0, int var1) throws NumberFormatException {
      return new Short(parseShort(var0, var1));
   }

   public static Short valueOf(String var0) throws NumberFormatException {
      return valueOf(var0, 10);
   }

   public static Short decode(String var0) throws NumberFormatException {
      byte var1 = 10;
      int var2 = 0;
      boolean var3 = false;
      if (var0.startsWith("-")) {
         var3 = true;
         ++var2;
      }

      if (!var0.startsWith("0x", var2) && !var0.startsWith("0X", var2)) {
         if (var0.startsWith("#", var2)) {
            ++var2;
            var1 = 16;
         } else if (var0.startsWith("0", var2) && var0.length() > 1 + var2) {
            ++var2;
            var1 = 8;
         }
      } else {
         var2 += 2;
         var1 = 16;
      }

      if (var0.startsWith("-", var2)) {
         throw new NumberFormatException("Negative sign in wrong position");
      } else {
         Short var4;
         try {
            var4 = valueOf(var0.substring(var2), var1);
            var4 = var3 ? new Short((short)(-var4)) : var4;
         } catch (NumberFormatException var7) {
            String var6 = var3 ? new String("-" + var0.substring(var2)) : var0.substring(var2);
            var4 = valueOf(var6, var1);
         }

         return var4;
      }
   }

   public Short(short var1) {
      this.value = var1;
   }

   public Short(String var1) throws NumberFormatException {
      this.value = parseShort(var1);
   }

   public byte byteValue() {
      return (byte)this.value;
   }

   public short shortValue() {
      return this.value;
   }

   public int intValue() {
      return this.value;
   }

   public long longValue() {
      return (long)this.value;
   }

   public float floatValue() {
      return (float)this.value;
   }

   public double doubleValue() {
      return (double)this.value;
   }

   public String toString() {
      return String.valueOf(this.value);
   }

   public int hashCode() {
      return this.value;
   }

   public boolean equals(Object var1) {
      if (var1 instanceof Short) {
         return this.value == (Short)var1;
      } else {
         return false;
      }
   }

   public int compareTo(Short var1) {
      return this.value - var1.value;
   }

   public int compareTo(Object var1) {
      return this.compareTo((Short)var1);
   }
}
