package java.lang.reflect;

import java.io.PrintStream;
import java.io.PrintWriter;

public class InvocationTargetException extends Exception {
   private static final long serialVersionUID = 4085088731926701167L;
   private Throwable target;

   protected InvocationTargetException() {
   }

   public InvocationTargetException(Throwable var1) {
      this.target = var1;
   }

   public InvocationTargetException(Throwable var1, String var2) {
      super(var2);
      this.target = var1;
   }

   public Throwable getTargetException() {
      return this.target;
   }

   public void printStackTrace() {
      this.printStackTrace(System.err);
   }

   public void printStackTrace(PrintStream var1) {
      synchronized(var1) {
         if (this.target != null) {
            var1.print("java.lang.reflect.InvocationTargetException: ");
            this.target.printStackTrace(var1);
         } else {
            super.printStackTrace(var1);
         }

      }
   }

   public void printStackTrace(PrintWriter var1) {
      synchronized(var1) {
         if (this.target != null) {
            var1.print("java.lang.reflect.InvocationTargetException: ");
            this.target.printStackTrace(var1);
         } else {
            super.printStackTrace(var1);
         }

      }
   }
}
