package java.lang.reflect;

import java.io.PrintStream;
import java.io.PrintWriter;

public class UndeclaredThrowableException extends RuntimeException {
   private Throwable undeclaredThrowable;

   public UndeclaredThrowableException(Throwable var1) {
      this.undeclaredThrowable = var1;
   }

   public UndeclaredThrowableException(Throwable var1, String var2) {
      super(var2);
      this.undeclaredThrowable = var1;
   }

   public Throwable getUndeclaredThrowable() {
      return this.undeclaredThrowable;
   }

   public void printStackTrace() {
      this.printStackTrace(System.err);
   }

   public void printStackTrace(PrintStream var1) {
      synchronized(var1) {
         if (this.undeclaredThrowable != null) {
            var1.print("java.lang.reflect.UndeclaredThrowableException: ");
            this.undeclaredThrowable.printStackTrace(var1);
         } else {
            super.printStackTrace(var1);
         }

      }
   }

   public void printStackTrace(PrintWriter var1) {
      synchronized(var1) {
         if (this.undeclaredThrowable != null) {
            var1.print("java.lang.reflect.UndeclaredThrowableException: ");
            this.undeclaredThrowable.printStackTrace(var1);
         } else {
            super.printStackTrace(var1);
         }

      }
   }
}
