package java.lang.reflect;

import java.security.Permission;

public class AccessibleObject {
   private static final Permission ACCESS_PERMISSION = new ReflectPermission("suppressAccessChecks");
   private boolean override;
   // $FF: synthetic field
   static Class class$java$lang$Class;

   public static void setAccessible(AccessibleObject[] var0, boolean var1) throws SecurityException {
      SecurityManager var2 = System.getSecurityManager();
      if (var2 != null) {
         var2.checkPermission(ACCESS_PERMISSION);
      }

      for(int var3 = 0; var3 < var0.length; ++var3) {
         setAccessible0(var0[var3], var1);
      }

   }

   public void setAccessible(boolean var1) throws SecurityException {
      SecurityManager var2 = System.getSecurityManager();
      if (var2 != null) {
         var2.checkPermission(ACCESS_PERMISSION);
      }

      setAccessible0(this, var1);
   }

   private static void setAccessible0(AccessibleObject var0, boolean var1) throws SecurityException {
      if (var0 instanceof Constructor && var1) {
         Constructor var2 = (Constructor)var0;
         if (var2.getDeclaringClass() == (class$java$lang$Class == null ? (class$java$lang$Class = class$("java.lang.Class")) : class$java$lang$Class)) {
            throw new SecurityException("Can not make a java.lang.Class constructor accessible");
         }
      }

      var0.override = var1;
   }

   public boolean isAccessible() {
      return this.override;
   }

   protected AccessibleObject() {
   }

   // $FF: synthetic method
   static Class class$(String var0) {
      try {
         return Class.forName(var0);
      } catch (ClassNotFoundException var2) {
         throw new NoClassDefFoundError(((Throwable)var2).getMessage());
      }
   }
}
